	PROGRAM TEST2
	dimension X(512),Y(512),IBUF(30)
	DO 10 I=1,512
	X(I)=ALOG10(FLOAT(I))
	R=(6.2832)*FLOAT(I)/200.
	Y(I)=SIN(R)
10	CONTINUE
	CALL VTCLR
	call vthtxt(8,23,1,' First, a full region graph ')
	CALL graphs(IBUF,227+4,X,Y,512,-1.0,0)
	CALL VTHTXT(8,23,1,' Next, the same graph in the upper region ')
	CALL SLEEP(5)
	CALL GRREGN(IBUF,0,1)
	CALL graphs(IBUF,227+4,X,Y,512,-1.0,0)
	call vthtxt(8,23,1,' Now in the lower region, without frame or
	1 shade ')
20	CALL GRREGN(IBUF,1,2)
	CALL graphs(IBUF,32,X,Y,512,0,1)
	CALL SLEEP(5)
	call vtclr
	CALL EXIT
	END

